# Visualization
TKMeshVS
MeshVS

# MeshVS_DataMapNodeOfDataMapOfHArray1OfSequenceOfInteger Class Reference

`#include <MeshVS_DataMapNodeOfDataMapOfHArray1OfSequenceOfInteger.hxx>`

## Public Member Functions

| MeshVS_DataMapNodeOfDataMapOfHArray1OfSequenceOfInteger (const Standard_Integer &K, const Handle(MeshVS_HArray1OfSequenceOfInteger)&I, const TCollection_MapNodePtr &n)
Standard_Integer & | Key () const
Handle_MeshVS_HArray1OfSequenceOfInteger & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myKey
Handle_MeshVS_HArray1OfSequenceOfInteger | myValue

## Constructor & Destructor Documentation

MeshVS_DataMapNodeOfDataMapOfHArray1OfSequenceOfInteger::MeshVS_DataMapNodeOfDataMapOfHArray1OfSequenceOfInteger | ( | const Standard_Integer & | K,
|  | const Handle(MeshVS_HArray1OfSequenceOfInteger)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const MeshVS_DataMapNodeOfDataMapOfHArray1OfSequenceOfInteger::Handle | ( | Standard_Type |  | ) | const

Standard_Integer& MeshVS_DataMapNodeOfDataMapOfHArray1OfSequenceOfInteger::Key | ( |  | ) | const

Handle_MeshVS_HArray1OfSequenceOfInteger& MeshVS_DataMapNodeOfDataMapOfHArray1OfSequenceOfInteger::Value | ( |  | ) | const

## Field Documentation

Standard_Integer MeshVS_DataMapNodeOfDataMapOfHArray1OfSequenceOfInteger::myKey `[private]`

Handle_MeshVS_HArray1OfSequenceOfInteger MeshVS_DataMapNodeOfDataMapOfHArray1OfSequenceOfInteger::myValue `[private]`

The documentation for this class was generated from the following file:

- MeshVS_DataMapNodeOfDataMapOfHArray1OfSequenceOfInteger.hxx